<?php
/**
 * Visforms control html for hidden field for default layout
 *
 * @author       Aicha Vack
 * @package      Joomla.Site
 * @subpackage   com_visforms
 * @link         https://www.vi-solutions.de
 * @license      GNU General Public License version 2 or later; see license.txt
 * @copyright    2012 vi-solutions
 * @since        Joomla 1.6 
 */
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Language\Text;

// no direct access
defined('_JEXEC') or die('Restricted access');

if (!empty($displayData)) :
    if (isset($displayData['form'])) :
        $form = $displayData['form'];
        $parentFormId = isset($form->context) ? $form->context : '';
echo '<label for="honeypot" aria-hidden="true" class="visually-hidden">' .
    Text::_('COM_VISFORMS_HONEYPOT_LABEL') .
    '<input type="text" name="'.$parentFormId.'honeypot" id="'.$parentFormId.'honeypot" style="display:none" value=""></label>';
    endif;
endif; ?>
